
      subroutine bestsigma
c******************************************************************************
c     this routine makes a simple noise estimate for each of the two 
c     spectral regions by averaging the two lowest sigmas in those
c     regions; points for blue regsion are 4610A (pt 6) to 4830A (pt 17);
c     for the yellow they are 5110A (pt 31) to 5490A (pt 50)
c******************************************************************************

      implicit real*8(a-h,o-z)
      include 'obsquants.com'


c*****the blue region
      siglow1 = 1000.
      do i=6,17
         if (sigflux(2,i) .le. siglow1) then
            ilow = i
            siglow1 = sigflux(2,i)
         endif
      enddo
      sigflux(2,ilow) = 100.
      siglow2 = 1000.
      do i=6,17
         if (sigflux(2,i) .le. siglow2) then
            ilow = i
            siglow2 = sigflux(2,i)
         endif
      enddo
      sigblu = 1.1*(siglow1+siglow2)/2.
      write (99,1001) siglow1, siglow2, sigblu


c*****the yellow region
      siglow1 = 1000.
      do i=31,50
         if (sigflux(2,i) .le. siglow1) then
            ilow = i
            siglow1 = sigflux(2,i)
         endif
      enddo
      sigflux(2,ilow) = 100.
      siglow2 = 1000.
      do i=31,50
         if (sigflux(2,i) .le. siglow2) then
            ilow = i
            siglow2 = sigflux(2,i)
         endif
      enddo
      sigyel = (siglow1+siglow2)/2.
      write (99,1002) siglow1, siglow2, sigyel


c*****exit normally
      return


c*****format statements
1001  format (/'BLUE REGION, 2 lowest sigmas and their mean:', 3f7.3/
     .        '      (mean multiplied by 1.1)')
1002  format ('YELLOW REGION,  2 lowest sigmas and their mean:', 3f7.3)

      end





