
      subroutine chi2create
c******************************************************************************
c*****this routine produces o-c chi2 values for spectral regions
c*****defined by the user
c******************************************************************************

      implicit real*8 (a-h,o-z)
      include 'obsquants.com'
      include 'synquants.com'
      include 'asciichars.com'

      real*8 tempwave (31000)


c*****cycle through the o-c arrays for each spectral region
c*****"ichi2" is the wavelength region
c*****"isyn" goes through the o-c arrays
c*****"k" goes through a given o-c array, computing chi2
      do isyn=1, nsyntot
         avgocdiff(isyn,ichi2) = -99.
         stdocdiff(isyn,ichi2) = -99.
         chi2ocdiff(isyn,ichi2) = -99.
         chi2noocdiff(isyn,ichi2) = -99.
         if (chi2wave(1,ichi2) .gt. wsynstart(isyn) .and.
     .       chi2wave(2,ichi2) .lt. wsynstop(isyn)) then
            nsynpoints = nsynpts(isyn)
            do k=1,nsynpoints
               tempwave(k) = synwave(isyn,k)
            enddo
            call arraypoints (tempwave, chi2wave(1,ichi2), 
     .                        chi2wave(2,ichi2), nsynpts(isyn), 
     .                        ilosyn, ihisyn)
            numchi2pts = ihisyn - ilosyn + 1
            average = 0.
            do k=ilosyn,ihisyn
               average = average + obssyndiff(isyn,k)
            enddo
            average = average/numchi2pts
            avgocdiff(isyn,ichi2) = average
            if (chi2wave(1,ichi2) .lt. 5000.) then
               sigchoice = sigblu
            else
               sigchoice = sigyel
            endif
            stddev = 0.
            chi2 = 0.
            do k=ilosyn,ihisyn
               stddev = stddev + (obssyndiff(isyn,k)-average)**2
               chi2 = chi2 + (obssyndiff(isyn,k)/sigchoice)**2
            enddo
            stddev = dsqrt(stddev/(numchi2pts-1))
            stdocdiff(isyn,ichi2) = stddev
            chi2ocdiff(isyn,ichi2) = chi2
            chi2noocdiff(isyn,ichi2) = chi2/numchi2pts
            write (99,1006) nint(teffmod(isyn)), loggmod(isyn),
     .           metalmod(isyn), vmicromod(isyn),
     .           nint(chi2wave(1,ichi2)), nint(chi2wave(2,ichi2)),
     .           numchi2pts, avgocdiff(isyn,ichi2), 
     .           stdocdiff(isyn,ichi2), 
     .           nint(chi2ocdiff(isyn,ichi2)), chi2noocdiff(isyn,ichi2)
         endif
      enddo


c*****ixit normally
      return


c*****format statements
1005  format ('MODEL COMPARISON RESULTS:'/
     .        ' Teff  logg [M/H]   v_t      region     O-C   sigma')
1006  format (i5, 3f6.2, 3i6, 2f7.3, i8, f8.3)


      end


