
c***********************************************************************
      subroutine chi2plot
c***********************************************************************
c     this routine plots normalized chi-sauare values as a function of
c     various parameters

      implicit real*8 (a-h,o-z)
      include 'synquants.com'
      include 'asciichars.com'
      include 'plotquants.com'
      include 'plotchars.com'


      nteff = 7
      ngrav = 6
      nmetal = 6


c*****begin the plot; lable axes
      call resetplotpars
      numxwin = 1
      numywin = 1
      nxwin1 = 1
      nxwin2 = 1
      nywin1 = 1
      nywin2 = 1
      
      call blankstring (suffix)
      suffix = '.chi.ps'
      xgutter = 0.3
      ygutter = 0.6
      call triggerplot
      orientation = 'portrait '
      expandval = 0.9
      weightval = 4.
      numxlab = 5
      xlab = '[M/H]'
      numylab = 18
      ylab = 'normalized \\chi^2'
      lableft =  4
      lablow =   4
      labright = 4
      labhigh =  4
      call startplot
      xpoint = 0.50
      ypoint = 1.015
      anylabel = starname
      ypoint = 1.035
      numorient = 5
      call infoplot


c*****set some plot parameters for each window
      xmin = -3.0
      xmax =  0.1
      ymin = 0.7
      ymax = 5.0
      largextick = 0.5
      largeytick = 1.0
      numxlab = 7
      xlab = 'nolabel'
      numylab = 7
      ylab = 'nolabel'


c*****plot the data in the appropriate window
      numxwin = 2
      numywin = 2
      nxwin1 = 1
      nxwin2 = 1
      lableft =  2
      lablow =   1
      labright = 0
      labhigh =  0
      expandval = 0.8
      linepoints = 'line  '
      do ichi2=1,nchi2
         if (ichi2 .le. 2) then
            nxwin1 = ichi2
            nywin1 = 2
         else
            nxwin1 = ichi2 -2
            nywin1 = 1
         endif
         nxwin2 = nxwin1
         nywin2 = nywin1
         call startplot
         numpts = 0
         call blankstring (anylabel)
         xpoint = xmin + 0.05*(xmax-xmin)
         ypoint = ymax - 0.04*(ymax-ymin)
         if (chi2wave(1,ichi2) .lt. 5000.) then
            isynwant = 4399
         else
            isynwant = 5149
         endif
         write (anylabel,1004) nint(chi2wave(1,ichi2)), 
     .                         nint(chi2wave(2,ichi2))
         numorient = 6
         call infoplot
         teffwant = teffmod(1) 
         gravwant = loggmod(1)
         vmicrowant = vmicromod(1)
         do isyn=1,nsyntot
            if (nint(wsynstart(isyn)) .eq. isynwant) then
               numpts = numpts + 1
               xpos(numpts) = metalmod(isyn)
               ypos(numpts) = chi2noocdiff(isyn,ichi2)
            endif
         enddo
         weightval = 10.
         call arrayplot
         weightval = 4.
         expandval = 0.6
         xpoint = (xmax+xmin)/2.
         ypoint = ymax - 0.04*(ymax-ymin)*iteff
         call blankstring (anylabel)
         write (anylabel,1003) nint(teffwant), gravwant, vmicrowant
         ypoint = ymin + 0.05*(ymax-ymin)
         numorient = 5
         color = 'black  '
         call infoplot
         call blankstring (anylabel)                          
         jsyn = nchi2nomin(ichi2)
         write (99,1001) metalmod(jsyn), chi2noocdiff(jsyn,ichi2)
         write (anylabel,1001) metalmod(jsyn), chi2noocdiff(jsyn,ichi2)
         ypoint = ymax - 0.15*(ymax-ymin)                     
         numorient = 5                                        
         color = 'black  '                                    
         call infoplot
      enddo
   

c*****end the plot, exit normally
      call finishplot
      return


c*****format statements
1001  format ('[M/H] = ', f4.1, '  nchi2 = ', f5.2)
1002  format ('logg = ', f4.2)
1003  format ('Teff=', i4, 3x, 'logg=', f4.2, 3x, 
     .        'vmicro=', f4.2)
1004  format (i4, '-', i4)

      end






  

