
      subroutine getobservations
c******************************************************************************
c     this routine opens the list of observed spectra, and reads each one
c     in turn
c******************************************************************************

      implicit real*8 (a-h,o-z)
      include 'obsquants.com'
      include 'synquants.com'
      include 'asciichars.com'
      data ifirst /0/


c*****open the observed spectra list file on first entry into this routine
      if (ifirst .eq. 0) then
         ifirst = 1 
         open (22,file=obsspectotal,status='old')
      endif


c*****read spectrum file name and the observed RV from list
      call blankstring (starspec)
      read (22,*,end=20) starspec, radvel
      call countline (starspec, nstarspec)
c      if (starspec(nstarspec-3:nstarspec) .ne. 'fits') then
c         write (*,1007) starspec
c         stop
c      else
c         starspec(nstarspec-8:nstarspec) = 's.fin.num'
c      endif
      call meld (obsspecpath, starspec, starspectotal, nstarspectotal)
      write (*,1005) obsspecpath, starspec
      write (98,1005) obsspecpath, starspec
      call findlastdot (starspec, nstarspec, nstarname)
      call blankstring (starname)
      starname(1:nstarname) = starspec(1:nstarname)


c*****open each observed spectrum file; create an output file for each
      open (23,file=starspectotal,status='old',err=30)
      call blankstring (starspecout)
      starspecout(1:nstarspec-3) = starspec(1:nstarspec-3)
      starspecout(nstarspec-2:nstarspec) = 'out'
      open (99,file=starspecout,status='unknown')
      read (23,1001) line
      write (99,1001) line


c*****read the observed spectrum
      nobspts = 100000
      do i=1,nobspts
         read (23,*,end=10) obswaveraw(i), obsflux(i)
      enddo
      write (99,1002) nobspts
      stop
10    nobspts = i - 1
      write (99,1003) nobspts
      close (unit=23)


c*****correct the observations for radial velocity shift
      rvfactor = 1.0 - radvel/3.0d+5
      do i=1,nobspts
         obswave(i) = obswaveraw(i)*rvfactor
      enddo
      write (99,1006) radvel


c*****exit normally
      return


c*****end of observations reached
20    nstarspec = 24
      starname(1:nstarspec) = 'NO MORE OBSERVED SPECTRA'
      return


c*****no observed spectrum found; exit with warning
30    write (*,*) 'this spectrum file does not exist: ', starspectotal
      write (98,*) 'this spectrum file does not exist: ', starspectotal
      nstarspec = 25
      starname(1:nstarspec) = 'NO OBSERVATION FILE FOUND'      
      return


c*****format statements
1001  format (a80)
1002  format ('I QUIT:  reached max point number, ', i5)
1003  format ('NUMBER OF OBSERVED POINTS = ', i5)
1004  format ('STAR INFORMATION OUTPUT FILE: '/a80)
1005  format ('OBSERVED SPECTRUM PATH: '/a80/
     .        'OBSERVED SPECTRUM INPUT FILE: '/a80)
1006  format ('APPLIED CORRECTION TO INPUT RADIAL VELOCITY: ', f6.1)
1007  format ('I DO NOT UNDERSTAND THIS FILE NAME, SO I QUIT!':/a80)


      end





