
      subroutine getsynthetics
c******************************************************************************
c     this routine opens the file with the synthetic spectrum list;
c     then reads in turn the individual raw syntheses; smooths them;
c     and stores them in arrays
c******************************************************************************

      implicit real*8 (a-h,o-z)
      include 'synquants.com'
      include 'asciichars.com'


c*****open synthetic spectra list file, read syntheses file names in turn
      write (98,1005)
      nsyntot = 2000
      open (12,file=synspectotal,status='old')
      do isyn=1,nsyntot
         read (12,1001,end=10) calspec
         call meld (synspecpath, calspec, calspectotal, ncalspectotal)
         write (98,1001) calspec


c*****open each synthesis file, read fluxes, smooth, and put an array
         open (13,file=calspectotal,status='old')
         read (13,1001) line
         read (13,1002) teffmod(isyn), loggmod(isyn), 
     .                  metalmod(isyn), vmicromod(isyn) 
         read (13,*) wsynstart(isyn), wsynstop(isyn), wsynstep(isyn)
         nsynpts(isyn) = 
     .         nint((wsynstop(isyn)-wsynstart(isyn))/wsynstep(isyn)) + 1
         npt = nsynpts(isyn)
         do n=1,npt
            synwave(isyn,n) = wsynstart(isyn) + (n-1)*wsynstep(isyn)
         enddo
         read (13,*,end=20) (synrawflux(n),n=1,npt-1)
         read (13,1003) synrawflux(npt)
         write (98,1006) nint(teffmod(isyn)), loggmod(isyn), 
     .                   metalmod(isyn), vmicromod(isyn), 
     .                   wsynstart(isyn), wsynstop(isyn), 
     .                   wsynstep(isyn), nsynpts(isyn)
         close (unit=13)
         call smoothsyn
      enddo
      write (*,1008) nsyntot


c*****exit normally
10    close (unit=12)
      nsyntot = isyn - 1
      write (98,1007) nsyntot
      return


c*****exit abnormally because the synthesis point count is short
20    write (*,*) 'NOT ENOUGH SYNTHETIC SPECTRUM POINTS; I QUIT'
      stop


c*****format statemnets
1001  format (a80)
1002  format (7x, f7.0, 1x, f7.2, 1x, f7.2, 11x, f7.4)
1003  format (10f7.4)
1004  format (/('REGION', i2, ' START, STOP, STEP (A):', 2f9.2, f7.3))
1005  format (/'HERE IS LIST OF SYNTHETIC SPECTRA FILES TO BE USED:')
1006  format ('MODEL TEFF:', i5, '   LOGG:', f5.2, 
     .        '   [M/H]:', f6.2, '   VMICRO:', f5.2/
     .        '      WSTART:', f8.2, '   WSTOP:', f8.2,
     .        '   WSTEP:', f5.2, '   #PTS:', i6)
1007  format ('TOTAL NUMBER OF SYNTHETIC SPECTRA: ', i4)
1008  format ('NUMBER OF SYNTHESES EXCEEDS MAXIMUM ALLOWED: ', i3)


      end





