
c***********************************************************************
      subroutine smoothsyn
c*****************************************************************************
c     this routine Gaussian-smooths the raw syntheses
c*****************************************************************************

      implicit real*8 (a-h,o-z)
      include 'synquants.com'
      include 'asciichars.com'
      real*8 pgauss(1000)


c*****use the current model atmosphere info to compute approximate 
c*****thermal and microturbulent velocity widths; combine these with 
c*****vhwhmobs to get the synthetic spectrum smoothing
      vmodel = dsqrt(1.6631d-2*teffmod(isyn)/56. + 
     .             vmicromod(isyn)**2)
      vfwhmmodel = 2*vmodel
      vfwhmsmooth = dsqrt(vfwhmtot**2 - vfwhmmodel**2)
c      vfwhmsmooth = dsqrt((2.*halfvel)**2 - vfwhmmodel**2)
      vfwhmmacro = dsqrt(vfwhmsmooth**2 - vfwhminst**2)
      wavemean = (wsynstart(isyn)+wsynstop(isyn))/2.
      wfwhmsmooth = vfwhmsmooth/3.0d+5*wavemean
      write (99,1002) vfwhmmodel, 
     .                vfwhmmacro, vfwhmsmooth, wfwhmsmooth


c*****compute the Gaussian smoothing function
      nsyn = nsynpts(isyn)
      sigma = wfwhmsmooth/2.
      aa = 0.6932/sigma**2
      gausspower = 1.0
      do k=1,1000
         pgauss(k) = dexp(-aa*(wsynstep(isyn)*k)**2 )
         gausspower = gausspower + 2*pgauss(k)
         if (pgauss(k) .lt. 0.01) exit
      enddo
      ngauss = k
      if (ngauss .gt. nsyn/4) then
         write (*,1001) ngauss, nsyn/4
         stop
      endif


c*****apply this Gaussian to the raw syntheses
      do j=1,ngauss
         synflux(isyn,j) = 1.
         synflux(isyn,nsyn+1-j) = 1.
      enddo
      do j=ngauss+1,nsyn-ngauss
         synsum = synrawflux(j)
         do k=1,ngauss
            synsum = synsum + pgauss(k)*
     .               (synrawflux(j-k) + synrawflux(j+k))
         enddo
         synflux(isyn,j) = 1.0 - synsum/gausspower
      enddo


c*****exit normally
      return


c*****format statements
1001  format ('Gaussian profile covers the whole spectrum: '/
     .        'ngauss =', i5, ',  nsynpoints/4 =', i5, 'I QUIT!')
1002  format ('VFWHM model, macro; smoothing; WFWHM smoothing: ',
     .        3f6.1, f7.3)

   
      end




